#!/bin/sh
USER_NAME="$1"
[ -z "$USER_NAME" ] && exit 1

#check process exist
PID=`cat /home/$1/.hubic/pid`
[ -z "$PID" ] && exit 1
if kill -0 $USER_NAME > /dev/null 2>&1; then
	exit 0
fi
USER="$USER_NAME" HOME="/home/$USER_NAME" setuidgid "$USER_NAME" /sbin/start-stop-daemon -S -q -u "$USER_NAME" -b -x "/usr/local/AppCentral/hubic/bin/hubicd" -- "/home/$USER_NAME/.hubic/hubic_log.txt"
exit 0
